#!/bin/bash

set -ex

functional_tests() {
    export TRANSMISSION_HOST='127.0.0.1'
    export TRANSMISSION_PORT='9091'
    export TRANSMISSION_USER='transmission'
    export TRANSMISSION_PASSWORD='transmission'

    export TRACKER_URL='http://localhost:4994/announce'

    export HTTP_ROOT='http://localhost:4995/http_root/'

    export RANDOMFILE='/tmp/myrandomfile'

    echo "seedclient tests is a go"

    dd if=/dev/urandom of="${RANDOMFILE}" count=1 bs=1M

    LINK=`./client/seedclient.py -uvf "${RANDOMFILE}"`

    rm -vf "${RANDOMFILE}"

    ./cleaner/seedcleaner.py

    timeout 5 ./client/seedclient.py -dvm "${LINK}" || (
    if [[ "$?" == "124" ]] ; then
      true
    else
      false
    fi )

    echo "seed-web tests is a go"

    ./seed/manage.py test

    # stop transmission-daemon to prevent 'already running'
    # failures on additional patchset builds
    service transmission-daemon stop
}

syntax_tests() {
    flake8 --show-source src/
}

case "$1" in
    "syntax")
        syntax_tests
    ;;
    "functional")
        functional_tests
    ;;
    *)
        functional_tests
    ;;
esac
